# Hardware Demonstration Examples

This directory contains various hardware integration demonstrations using the MCP Hardware Project.

## Examples

### sensor_demo.py

This example demonstrates how to interface with various sensors.

**Features:**
- Temperature sensor reading
- Motion detection
- Light level sensing
- Data logging

### actuator_demo.py

This example demonstrates how to control various actuators.

**Features:**
- Servo motor control
- Relay switching
- LED control
- Motor driver integration

### led_control.py

This example demonstrates basic LED control functionality.

**Features:**
- Simple LED blinking
- Different blink patterns
- Basic GPIO control

### traffic_light.py

This example demonstrates a traffic light simulation system.

**Features:**
- Traffic light simulation
- Pedestrian crossing system
- LED sequencing

**Usage:**
```bash
python sensor_demo.py
python actuator_demo.py
python led_control.py
python traffic_light.py
```

**Requirements:**
- Appropriate sensors and actuators
- MCP hardware package: `pip install -e .`
